petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSeqAIJSetPreallocationCSR

Allocates memory for a sparse sequential matrix in AIJ format.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJSetPreallocationCSR(Mat B,const PetscInt i[],const PetscInt j[],const PetscScalar v[])

### Input Parameters

| B | - the matrix Many br
| i | - the indices into j for the start of each row (starts with zero) Many br
| j | - the column indices for each row (starts with zero) these must be sorted for each row Many br
| v | - optional values in the matrix Many br

Many br

The i,j,v values are COPIED with this routine; to avoid the copy use MatCreateSeqAIJWithArrays() Many br

### Keywords

matrix, aij, compressed row, sparse, sequential

### See Also

MatCreate(), MatCreateSeqAIJ(), MatSetValues(), MatSeqAIJSetPreallocation(), MatCreateSeqAIJ(), SeqAIJ

Level:developer
Location:src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages